Ubuntu

Kubuntu 11.10 -- Network/Local Printers found but cannot print - Unable to get printer status

Reported by Carl Nobile on 2011-10-29
132
This bug affects 23 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

Description: Ubuntu 11.10
Release: 11.10

This is a very serious bug most likely in cups itself. Any printer connected either over a network or directly onto the machine can be found, but will not print. The print job stays in the queue forever. There are many reports of this, but most people think it's just their own printer. Below are posts I made to other sites on this issue.

-----------------------------
I'm getting the same issues and it seems to be printer independent. My printer is an HP Stylus 415. It worked fine on Natty, but on 11.04 I can set it up on the network but nothing will print to it.

This is in the cups log: /var/log/cups/error_log

D [18/Oct/2011:22:59:28 -0400] [Job 30] Getting supported attributes...
D [18/Oct/2011:22:59:28 -0400] [Job 30] Get-Printer-Attributes: server-error-internal-error (Unknown)
D [18/Oct/2011:22:59:28 -0400] [Job 30] Get-Printer-Attributes returned server-error-internal-error.
E [18/Oct/2011:22:59:28 -0400] [Job 30] Unable to get printer status.

This is also in the system log: /var/log/syslog

Oct 19 19:50:40 odyssey kernel: [38119.579286] type=1400 audit(1319068240.145:24): apparmor="STATUS" operation="profile_replace" name="/usr/lib/cups/backend/cups-pdf" pid=4528 comm="apparmor_parser"
Oct 19 19:50:40 odyssey kernel: [38119.580556] type=1400 audit(1319068240.149:25): apparmor="STATUS" operation="profile_replace" name="/usr/sbin/cupsd" pid=4528 comm="apparmor_parser"
Oct 19 19:50:40 odyssey udev-configure-printer: add /module/lp
Oct 19 19:50:40 odyssey udev-configure-printer: Failed to get parent

-----------------------------
I have now tried an old HP DeskJet-880C directly to the USB port. I can configure it fine, but it won't print. This is the same results I get from my network printer an Epson NX415, as I mention above.

So it seems not to be printer drivers or a connection issue. I'm betting there is a problem with the cups server itself. I compared the /etc/cups/cupsd.conf with the one on an older machine which has Kubuntu 10.04 on it and except for a few minor things they were exactly the same. I even swapped the old version to the new release with no changes.

I burned 11.10 onto a thumb drive and booted it from my eeePC 900 and guess what? Yup, the printer doesn't work from there either. There is definitely something wrong with cups itself.

-----------------------------
I am very surprised that this even made it out to a release of Kubuntu which is what I use. It may be happening to other variations of Ubuntu also, but this I have not tried.

-----------------------------
Edit: Below is what happens after I try to print. It keeps going periodically for some time after I have canceled the print job.

$ sudo tcpdump -i eth0 -vvn tcp port 631
[sudo] password for xxxxxxxx:
tcpdump: listening on eth0, link-type EN10MB (Ethernet), capture size 65535 bytes
18:55:05.723564 IP (tos 0x0, ttl 64, id 3643, offset 0, flags [DF], proto TCP (6), length 60)
    192.168.1.105.41323 > 192.168.1.126.631: Flags [S], cksum 0x8466 (incorrect -> 0xbb90), seq 967441230, win 14600, options [mss 1460,sackOK,TS val 14742901 ecr 0,nop,wscale 6], length 0
18:55:05.723960 IP (tos 0x0, ttl 64, id 0, offset 0, flags [DF], proto TCP (6), length 60)
    192.168.1.126.631 > 192.168.1.105.41323: Flags [S.], cksum 0xfa1d (correct), seq 4196584152, ack 967441231, win 5792, options [mss 1460,sackOK,TS val 407635588 ecr 14742901,nop,wscale 4], length 0
18:55:05.724002 IP (tos 0x0, ttl 64, id 3644, offset 0, flags [DF], proto TCP (6), length 52)
    192.168.1.105.41323 > 192.168.1.126.631: Flags [.], cksum 0x845e (incorrect -> 0x3ea2), seq 1, ack 1, win 229, options [nop,nop,TS val 14742901 ecr 407635588], length 0
18:55:05.724303 IP (tos 0x0, ttl 64, id 3645, offset 0, flags [DF], proto TCP (6), length 211)
    192.168.1.105.41323 > 192.168.1.126.631: Flags [P.], cksum 0x5733 (correct), seq 1:160, ack 1, win 229, options [nop,nop,TS val 14742901 ecr 407635588], length 159
18:55:05.724352 IP (tos 0x0, ttl 64, id 3646, offset 0, flags [DF], proto TCP (6), length 648)
    192.168.1.105.41323 > 192.168.1.126.631: Flags [P.], cksum 0x6142 (correct), seq 160:756, ack 1, win 229, options [nop,nop,TS val 14742901 ecr 407635588], length 596
18:55:05.724708 IP (tos 0x0, ttl 64, id 52317, offset 0, flags [DF], proto TCP (6), length 52)
    192.168.1.126.631 > 192.168.1.105.41323: Flags [.], cksum 0x3d3b (correct), seq 1, ack 160, win 429, options [nop,nop,TS val 407635588 ecr 14742901], length 0
18:55:05.724802 IP (tos 0x0, ttl 64, id 52318, offset 0, flags [DF], proto TCP (6), length 52)
    192.168.1.126.631 > 192.168.1.105.41323: Flags [.], cksum 0x3a9c (correct), seq 1, ack 756, win 504, options [nop,nop,TS val 407635588 ecr 14742901], length 0
18:55:05.736123 IP (tos 0x0, ttl 64, id 52319, offset 0, flags [DF], proto TCP (6), length 52)
    192.168.1.126.631 > 192.168.1.105.41323: Flags [F.], cksum 0x3a9a (correct), seq 1, ack 756, win 504, options [nop,nop,TS val 407635589 ecr 14742901], length 0
18:55:05.738398 IP (tos 0x0, ttl 64, id 3647, offset 0, flags [DF], proto TCP (6), length 52)
    192.168.1.105.41323 > 192.168.1.126.631: Flags [.], cksum 0x845e (incorrect -> 0x3ba9), seq 756, ack 2, win 229, options [nop,nop,TS val 14742905 ecr 407635589], length 0
18:55:15.736570 IP (tos 0x0, ttl 64, id 3648, offset 0, flags [DF], proto TCP (6), length 211)
    192.168.1.105.41323 > 192.168.1.126.631: Flags [P.], cksum 0x4a77 (correct), seq 756:915, ack 2, win 229, options [nop,nop,TS val 14745404 ecr 407635589], length 159
18:55:15.736615 IP (tos 0x0, ttl 64, id 3649, offset 0, flags [DF], proto TCP (6), length 648)
    192.168.1.105.41323 > 192.168.1.126.631: Flags [P.], cksum 0x5486 (correct), seq 915:1511, ack 2, win 229, options [nop,nop,TS val 14745404 ecr 407635589], length 596
18:55:15.736872 IP (tos 0x0, ttl 64, id 0, offset 0, flags [DF], proto TCP (6), length 40)
    192.168.1.126.631 > 192.168.1.105.41323: Flags [R], cksum 0xc2c8 (correct), seq 4196584154, win 0, length 0
18:55:15.736978 IP (tos 0x0, ttl 64, id 0, offset 0, flags [DF], proto TCP (6), length 40)
    192.168.1.126.631 > 192.168.1.105.41323: Flags [R], cksum 0xc2c8 (correct), seq 4196584154, win 0, length 0
^C
13 packets captured
13 packets received by filter
0 packets dropped by kernel

Carl Nobile (cnobile1) on 2011-10-29
description: updated
Carl Nobile (cnobile1) on 2011-10-30
description: updated

I'm having the same issue with Ubuntu 11.10 and an Epson Stylus Photo R390.

The printer is on a NAS (ReadyNas Duo) on the local network, I was able to print to it under 11.04 but not with 11.10.

Others are having similar problems when connecting to a printer locally via USB. Some have resolved the issue by upgrading to kernel 3.0.0.13. I've now upgraded the kernel but the problem still persists; After attempting to print the printer's status is shown in the printer's properties settings tab as "Processing - Unable to get printer status.". I am able to print from non-Ubuntu machines to the printer connected to the NAS, so the issues is not with the NAS or printer.

If there are any logs that you require or data that I can capture to help identify this issue, please let me know.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cups (Ubuntu):
status: New → Confirmed

I tried with a Samsung ML-1640 laser printer connected to the NAS (again by USB) and while the printer can be seen any attempt to print fails and again I get the "Processing - Unable to get printer status" message displayed in the printer properties tab.

Is there any other way to print to remote printers other than CUPS?

Carl Nobile (cnobile1) wrote :

I also am printing to a NAS cups server. I wonder if the cups server on the NAS is, somehow, not compatible with the cups server on my laptops? Humm, I'll have to test out that theory, by connecting the printer to my server instead of the NAS. This may also explain the errors I saw in the network traffic between the two I listed above. However, I connected a printer directly to the laptop and that didn't work either.

As far as using something other than cups you could always fall back to an LPD server, but the configuration will drive you nuts. In most cases you would have to write you own /etc/printcap file. Plus there are so many other apps in Ubuntu/Kubuntu that depent on cups being there that you may not be able to do it at all anymore.

BTW, I have the exact same symptoms as you, which is another reason I believe there is a bug in cups code somewhere.

summary: - Kubuntu 11.10 -- Printers found but cannot print
+ Kubuntu 11.10 -- Network Printers found but cannot print
summary: - Kubuntu 11.10 -- Network Printers found but cannot print
+ Kubuntu 11.10 -- Network/Local Printers found but cannot print - Unable
+ to get printer status

Hi,
I've found a work around that so far seems to work for me. Rather than connect via ipp/http, I switched to smb . I can at least print a test page now. I found details here:
http://planetlotus.org/profiles/ben-poole_94582

Cheers,
Paul

There's a similar discussion about OS X Lion at the ReadyNAS forums, too (http://www.readynas.com/forum/viewtopic.php?f=28&t=56877). The fix there was also to use SMB instead of IPP.

The interesting thing though is that the ReadyNAS Duo apparently has open-source firmware (http://www.readynas.com/?page_id=2324). I wonder if this means that it also uses some version of CUPS?

Adding to my last comment, after Googling for a bit, there's also this:

http://www.livingonthecloud.net/2011/08/mac-os-x-lion-and-cups-printing.html

The suggestion there seems to be that creating a class that contains your printer *might* somehow help. I'm not convinced, personally, but it's probably worth setting up another IPP printer to check it. Leave the current SMB printer as it is, so you can still actually print when you need to!

Carl Nobile (cnobile1) wrote :

Right that did it. My printer now works using smb://, but I would still like to see this bug fixed so it will work with cups.

Ran the following on the ReadyNAS duo box:
# dpkg -l | grep cups

and got

ii cupsys 1.1.14-5woody12.netgear1 Common UNIX Printing System(tm) - server
ii libcupsys2 1.1.14-5woody12.netgear1 Common UNIX Printing System(tm) - libs

Checked the cups Error log on the NAS box
E [12/Nov/2011:11:32:13 +1100] ReadClient() 2 IPP Read Error!
E [12/Nov/2011:11:32:33 +1100] ReadClient() 2 IPP Read Error!
E [12/Nov/2011:11:38:07 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
I [12/Nov/2011:11:38:12 +1100] Job 2 queued on 'Stylus_Photo' by 'lp'.
I [12/Nov/2011:11:38:12 +1100] Started backend /usr/lib/cups/backend/usb (PID 19252) for job 2.
E [12/Nov/2011:11:42:57 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
I [12/Nov/2011:11:43:08 +1100] Job 3 queued on 'Stylus_Photo' by 'paul'.
I [12/Nov/2011:11:43:08 +1100] Started backend /usr/lib/cups/backend/usb (PID 19273) for job 3.
E [12/Nov/2011:12:08:05 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
I [12/Nov/2011:12:08:25 +1100] Job 4 queued on 'Stylus_Photo' by 'paul'.
I [12/Nov/2011:12:08:25 +1100] Started backend /usr/lib/cups/backend/usb (PID 19379) for job 4.
I [12/Nov/2011:12:11:01 +1100] Printer 'Stylus_Photo' deleted by ''.
I [12/Nov/2011:12:11:01 +1100] Saving printers.conf...
E [12/Nov/2011:12:11:01 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
E [12/Nov/2011:12:11:01 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
E [12/Nov/2011:12:11:01 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
E [12/Nov/2011:12:11:02 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
E [12/Nov/2011:12:11:02 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
E [12/Nov/2011:12:11:02 +1100] get_printer_attrs: resource name '/Stylus_Photo' no good!
E [12/Nov/2011:12:25:44 +1100] Bad request line ""!
E [12/Nov/2011:12:25:50 +1100] Bad request line ""!

'Stylus_Photo' is the name on the Epson printer on the NAS box:
http://192.168.1.7:631/printers/Stylus_Photo

Hi Robert,
As you suggested I set up a new printer and created a class which contained it, however I had no joy, still got the "unable to get printer status" messages.

As I can use smb to print, I have a work around which works for me.

I'll still monitor this issue, so let me know if there are any tests or info that you need.

Cheers,
Paul

So, what we seem to have here is essentially (Debian's?) CUPS 1.1.14 IPP server breaking with 1.5 clients (or most likely vice versa). That would make this bug far easier to reproduce, at least. In theory, I could try setting up a Woody VM as a print server and play with that if I can still find an installer for such an old version of Debian. I suppose there's always source builds too.

If this does turn out to be a CUPS 1.1 issue, it may be worth trying to get the ReadyNAS CUPS upgraded, too. It looks like the firmware is still being updated for the moment, with updates for Lion in September. So, it may be possible to get this fixed by pushing it as a fix for Lion compatibility. It's still not ideal, of course.

From #10, it still looks like CUPS is sending a printer URI of "http://192.168.1.7:631/Stylus_Photo" to the NAS for some reason - but only for the Get_Printer_Attributes call, *not* for Print_Job! If this were not true, we should be seeing "print_job: resource name '/Stylus_Photo' no good!" in your NAS logs too, and that isn't there.

Carl Nobile (cnobile1) wrote :

I am also getting the same thing in my NAS log:

E [12/Nov/2011:00:59:27 -0500] get_printer_attrs: resource name '/Stylus_NX410' no good!
E [12/Nov/2011:00:59:27 -0500] get_printer_attrs: resource name '/Stylus_NX410' no good!
E [12/Nov/2011:00:59:28 -0500] get_printer_attrs: resource name '/Stylus_NX410' no good!
E [12/Nov/2011:00:59:28 -0500] get_printer_attrs: resource name '/Stylus_NX410' no good!
E [12/Nov/2011:00:59:28 -0500] get_printer_attrs: resource name '/Stylus_NX410' no good!
E [12/Nov/2011:00:59:28 -0500] get_printer_attrs: resource name '/Stylus_NX410' no good!

And as my initial post above showed that there were errors in the request/response data between the client and server.

However, also as I mentioned above even when I plugged a printer into the laptop itself the laptop couldn't print to it. In this case it was an old HP Deskjet-880C, so this is not just an issue between two cups servers of different versions.

That said, tracking down the issues on the network might lead to what the major problem is.

One other interesting this, I never hand edited the /etc/cups/cupsd.conf, but when I run cupsd -t I get errors.

$ cupsd -t
/etc/cups/cupsd.conf contains errors

One additional piece of into is that when I machine set up the printer it did not use ipp://, but dnssd:// as the schema.

Plugging a printer directly to the laptop is most probably a USB issue. Please try the propesed fixes of bug 872711, bug 887094, and bug 872483.

The patch attached to this comment won't fix the problem, but will test if there is an issue with URI assembly in CUPS 1.5. Could one of you please try applying this and send the resulting CUPS debug logs from the client?

The attachment "Add logging to httpSeparateURI and httpAssembleURI API calls in backend/ipp.c" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

Robert,
find attached compressed error log file with extra debug logging. Job 326 is the one to look for.

Cheers,
Paul

cfr (reescf) wrote :

Is this connected to bug # 647137 for Debian? I filed that and the report is at <a href="http://lists.alioth.debian.org/pipermail/pkg-cups-devel/2011-October/009738.html">http://lists.alioth.debian.org/pipermail/pkg-cups-devel/2011-October/009738.html</a>. That also concerns failures after updating cups and affects the use of multiple printers using multiple ways of connecting, multiple drivers and multiple protocols.

John Gibson (1-rex) wrote :

I am having similar problems with a Lexmark X 4650 printer. After updating to Ubuntu 11.10 I downloaded the Lexmark drivers, and went through the install instructions. I get some contact with the printer, but cannot print.

This is very frustrating. So mush of Ubuntu 11.10 looks promissing, but without a printer it is absolutely no good!!

Antonio Sánchez (ingantosan) wrote :

Same problem, Kubuntu 11.10 (64 bits), fresh install, HP LaserJet P1005.

I have looked into the attached error_log and separating and assembling URIs seems to work correctly. Robert, any other idea?

Robert, can you give instructions on how to investigate the problem with tools like Wireshark?

Changed in cups (Ubuntu):
status: Confirmed → Fix Committed
importance: Undecided → High
Changed in cups (Ubuntu Oneiric):
status: New → Fix Committed
importance: Undecided → High
milestone: none → oneiric-updates

IPP backend reverted to the version of CUPS 1.4.x to fix bug 881843, bug 877958, bug 879625, and bug 883585 for the time being until the backend gets fixed upstream. Applied this to the Debian BZR repository of CUPS so that the fix will appear in the next CUPS package for Precise and also applied to a Stable Release Update (SRU) CUPS package for Oneiric which I have uploaded to -proposed. As soon as this package gets approved and ready for testing on Oneiric, a separate comment with testing instructions will get posted here. Please test the package then and report back here, so that we can make it an official update.

A debdiff of the SRU for Oneiric is attached.

Robert Bradley, thank you for all the work on these bugs and the downgrade patch for the IPP backend.
See full activity log

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.5.0-13

---------------
cups (1.5.0-13) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/ipp-patch-r8950+.patch: Revert the IPP backend to the state
    of CUPS 1.4.x, as the 1.5.x versiuon has major regressions (LP: #877958,
    LP: #879625, LP: #881843, LP: #883585, Closes: #638521, CUPS STR #3966,
    CUPS STR #3967). This patch will get removed as soon as upstream has fixed
    all these regressions. As upstream did not announce any new features for
    the IPP backend in the release notes for 1.5.x, we assume that with this
    step no features will get lost.
  * debian/patches/dont-send-malformed-dbus-messages.patch: Do not send D-Bus
    notifications with too few parameters when there are parameters which
    cannot be added to the D-Bus request, especially invalid UTF-8 strings.
    This made gnome-session-daemon crash (LP: #893676, CUPS STR #3984).
  * debian/local/filters/cpdftocps: The cpdftocps filter (used for PostScript
    printers and for drivers with PPDs which are not PDF-aware) did not
    recognize the duplex setting correctly, making duplex not working on
    many common printers (LP: #897723).
  * debian/local/filters/cpdftocps: Cleaned up the header comments.

  [ Martin-Éric Racine ]
  * [cups.postrm]: purge /etc/cups/ssl/server.[crt|key] and /etc/cups/ssl.

  [ Martin Pitt ]
  * debian/compat: Bump from 5 to 9, this apparently was forgotten in the
    Multi-Arch transition.
 -- Martin Pitt <email address hidden> Fri, 02 Dec 2011 11:05:51 +0100

Changed in cups (Ubuntu):
status: Fix Committed → Fix Released

Hello Carl, or anyone else affected,

Accepted cups into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Carl Nobile (cnobile1) wrote :

Martin,

After setting up oneiric-proposed as per your link and running:

$ sudo aptitude install cups/oneiric-proposed

aptitude wanted to update/remove over 500 packages that were not in the proposed repository. Obviously I said NO to this. If it only wanted to update 6 or 7 packages I'd have done it, but 500 make me a bit queasy.

Sorry, but this a non-starter for me, if there is a way to get around this issue and install the cups packages please let me know.

Martin Pitt (pitti) wrote :

Can you please give me the output of

  sudo apt-get install -t oneiric-proposed cups

or check if that even works? If it also wants to remove a lot of packages, you can cancel again, but I'm interested in the details of the message. Thanks!

Stefan Schmid (schms) wrote :
Download full text (3.8 KiB)

Hi

I did install the proposed package (cups) but the ubuntu 11.10 (64bit)/cups still can not connect to the usb printer (lexmark).

The usb printer works fine in when connect to ubuntu 11.04 (32bit) running inside a vmplayer ( host is the same ubuntu 11.10 (64bit) which can not connect to the usb printer (lexmark)). Therefore, I believe it is not a hardware problem ( printer, usb cable, ..)

Details of ubuntu 11.10 (64bit)/cups :

isc-scn@niesen:~$ uname -a
Linux niesen 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:28:43 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
isc-scn@niesen:~$
isc-scn@niesen:~$ lpstat -v
device for Lexmark_S300S400_Series: usb://Lexmark/S300-S400%20Series?serial=90T309862362717&interface=1
isc-scn@niesen:~$
isc-scn@niesen:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.10
DISTRIB_CODENAME=oneiric
DISTRIB_DESCRIPTION="Ubuntu 11.10"
isc-scn@niesen:~$

isc-scn@niesen:~$ lsusb
(..)
Bus 002 Device 004: ID 043d:0180 Lexmark International, Inc.
(..)
isc-scn@niesen:~$

isc-scn@niesen:~$ sudo apt-get install -t oneiric-proposed cups
Reading package lists... Done
Building dependency tree
Reading state information... Done
cups is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
isc-scn@niesen:~$

isc-scn@niesen:~$ dpkg -s cups
Package: cups
Status: install ok installed
Priority: optional
Section: net
Installed-Size: 8412
Maintainer: Ubuntu Developers <email address hidden>
Architecture: amd64
Version: 1.5.0-8ubuntu6
Replaces: cupsddk-drivers (<< 1.4.0), ghostscript-cups (<< 9.02~)
Provides: cupsddk-drivers
Depends: libavahi-client3 (>= 0.6.16), libavahi-common3 (>= 0.6.16), libc6 (>= 2.7), libcups2 (>= 1.5.0), libcupscgi1 (>= 1.4.2), libcupsdriver1 (>= 1.4.0), libcupsimage2 (>= 1.4.0), libcupsmime1 (>= 1.5.0-0ubuntu1), libcupsppdc1 (>= 1.4.0), libdbus-1-3 (>= 1.0.2), libgcc1 (>= 1:4.1.1), libgnutls26 (>= 2.9.11-0), libgssapi-krb5-2 (>= 1.8+dfsg), libijs-0.35, libkrb5-3 (>= 1.6.dfsg.2), liblcms1 (>= 1.15-1), libldap-2.4-2 (>= 2.4.7), libpam0g (>= 0.99.7.1), libpaper1, libpoppler13, libslp1, libstdc++6 (>= 4.1.1), libusb-0.1-4 (>= 2:0.1.12), zlib1g (>= 1:1.1.4), debconf (>= 1.2.9) | debconf-2.0, upstart-job, poppler-utils (>= 0.12), procps, ghostscript (>= 9.02~), lsb-base (>= 3), cups-common (>= 1.5.0), cups-client (>= 1.5.0-8ubuntu6), ssl-cert (>= 1.0.11), adduser, bc, ttf-freefont, cups-ppdc
Recommends: avahi-daemon, colord, foomatic-filters (>= 4.0), cups-driver-gutenprint, ghostscript-cups (>= 9.02~)
Suggests: cups-bsd, foomatic-db-compressed-ppds | foomatic-db, hplip, cups-pdf, udev, smbclient
Breaks: foomatic-filters (<< 4.0), ghostscript-cups (<< 9.02~)
Conflicts: cupsddk-drivers (<< 1.4.0)
Conffiles:
 /etc/fonts/conf.d/99pdftoopvp.conf a5221cfad70a981c80864229ef56586d
 /etc/logrotate.d/cups 5bb41fa9900f0d1c565954405a2bd7c4
 /etc/default/cups 2b436fbb1a32b82b6aba45a76a1d7e40
 /etc/pam.d/cups ff2488324854f7b1e892bb0df062d5f0
 /etc/init/cups.conf 3ef31c29980411c55687e404d230838d
 /etc/modprobe.d/blacklist-cups-usblp.conf 7cc07d7c468c0f9e4585b87a61d3327f
 /etc/ufw/applications.d/cups 29e98a6d850da251e180c3d68dec2bd3
 /etc/apparmor.d/usr.sbin.cup...

Read more...

Till: Wireshark will only be of use in the network printer case (IPP/HTTP, LPR or SMB). Its value is in being able to see exactly what is being transmitted and received from the print server. You can then use that to get a better understanding of what is going on.

The way to use it is to start Wireshark, then click the "Show capture options" button (second from left, with the spanner icon). In that window, enter the right network interface (usually eth0 for wired ethernet, but this will obviously vary), and untick "Capture packets in promiscuous mode" (to avoid logging traffic from other systems). The capture filter could be left blank, but to eliminate non-IPP traffic, enter "port 631" here. (You can use "port 515" for LPR and "port 80" for HTTP traffic.) Once that's done, click Start to start your capture.

When you're done, click the "Stop the current capture" button (fourth from the left, with red cross). You will now have a window full of captured packets, which should be saved before continuing.

Assuming we're interested in just the IPP part of the conversation, enter "ipp" in the filter box and click Apply. This will filter out all the packets from lower layers (e.g. TCP). Just below the list of packets, you will see a pane showing the interpretation of the currently selected packet at multiple stack layers (so Ethernet, IP, TCP, HTTP, then IPP). Expanding each of these will give you detailed information about each. For example, for IPP responses, you will see the protocol version, status codes, request ID (currently always 1, but this has changed in the upstream trunk).

You can also right-click your packet entry in the list and select "Follow TCP stream". For IPP, this will show the HTTP conversation in plain text. While this is rarely useful for working out what IPP is doing, it does show the HTTP requests and responses pretty well.

Stefan: I don't know if this will help at all, but there's a suggestion at http://www.makestuff.eu/wordpress/?p=1747 about blacklisting the usblp module. Perhaps that might be worth trying?

Martin,

That looked better, I went ahead and installed them, but I did it remotely,
so I will need to wait till I get home and reinstall the printer to see if
it will work.

Thanks

$ sudo apt-get install -t oneiric-proposed cups | tee apt-get.out
Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
  cups-bsd cups-client cups-dbg
Suggested packages:
  cups-pdf xpp
The following packages will be upgraded:
  cups cups-bsd cups-client cups-dbg
4 upgraded, 0 newly installed, 0 to remove and 51 not upgraded.
Need to get 4,713 kB of archives.
After this operation, 41.0 kB disk space will be freed.
Do you want to continue [Y/n]?

On Tue, Dec 6, 2011 at 7:49 AM, Robert Bradley <email address hidden>wrote:

> Stefan: I don't know if this will help at all, but there's a suggestion
> at http://www.makestuff.eu/wordpress/?p=1747 about blacklisting the
> usblp module. Perhaps that might be worth trying?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/883585
>
> Title:
> Kubuntu 11.10 -- Network/Local Printers found but cannot print -
> Unable to get printer status
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/cups/+bug/883585/+subscriptions
>

--
-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

For reference, this has been filed upstream at http://www.cups.org/str.php?L3974.

Carl Nobile (cnobile1) wrote :

Martin,

It worked, I can access my printer through cups now.

The device URI: dnssd://EPSON%20Stylus%20NX410%20on%20nas-storage._ipp._tcp.local/

I still need to test it with a USB connected printer, but I need to wait a few days for a new Toner Cartridge to arrive before I can run the test.

I'm glad there is a solution to this issue.

Carl, thank you very much for testing. Marking the SRU as verified.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.5.0-8ubuntu6

---------------
cups (1.5.0-8ubuntu6) oneiric-proposed; urgency=low

  * debian/patches/ipp-patch-r8950+.patch: Revert the IPP backend to the state
    of CUPS 1.4.x, as the 1.5.x versiuon has major regressions (LP: #877958,
    LP: #879625, LP: #881843, LP: #883585, Closes: #638521, CUPS STR #3966,
    CUPS STR #3967). This patch will get removed as soon as upstream has fixed
    all these regressions. As upstream did not announce any new features for
    the IPP backend in the release notes for 1.5.x, we assume that with this
    step no features will get lost.
  * debian/patches/dont-send-malformed-dbus-messages.patch: Do not send D-Bus
    notifications with too few parameters when there are parameters which
    cannot be added to the D-Bus request, especially invalid UTF-8 strings.
    This made gnome-session-daemon crash (LP: #893676, CUPS STR #3984).
  * debian/local/filters/cpdftocps: The cpdftocps filter (used for PostScript
    printers and for drivers with PPDs which are not PDF-aware) did not
    recognize the duplex setting correctly, making duplex not working on
    many common printers (LP: #897723).
  * debian/local/filters/cpdftocps: Cleaned up the header comments.
 -- Till Kamppeter <email address hidden> Tue, 29 Nov 2011 21:49:41 +0100

Changed in cups (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Antonio Sánchez (ingantosan) wrote :

Please, how can I install the fix released?

I have updated my system according to http://www.kubuntu.org/kde-sc-474. I guess that is oneiric-updates repository.

After downloading 150Mb I tried to install 'oneiric-proposed' but apt-get complains with something like "invalid for APT::Default-Release as that version is not available in the sources".

How should I proceed?

Carl Nobile (cnobile1) wrote :

At this point you should just be able to do an update on your machine and
get the fixed packages.

On Tue, Jan 3, 2012 at 9:54 AM, Antonio Sánchez
<email address hidden>wrote:

> Please, how can I install the fix released?
>
> I have updated my system according to http://www.kubuntu.org/kde-sc-474.
> I guess that is oneiric-updates repository.
>
> After downloading 150Mb I tried to install 'oneiric-proposed' but apt-
> get complains with something like "invalid for APT::Default-Release as
> that version is not available in the sources".
>
> How should I proceed?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/883585
>
> Title:
> Kubuntu 11.10 -- Network/Local Printers found but cannot print -
> Unable to get printer status
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/cups/+bug/883585/+subscriptions
>

--
-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

Antonio Sánchez (ingantosan) wrote :

I have Kubuntu 11.10 (64 bits). HP LaserJet P1005 local USB. Driver foo2xqx (recommended).

System up to date.

Printer is installed, print job is sent and consumed but nothing is actually printed.

Printer was detected and installed automatically the first time I plugged it; probably (I don't remember) using a not sudoer user.

I can print normally in Ubuntu 11.10. I remember the system asked me to download and install the driver from a terminal window, like usual with this HP printer. But Kubuntu never asked me to do so.

What's wrong in my case? What can I do?

I'm still having this problem, worked fine until i upgraded to oneric,

bart@bart-desktop:~$ apt-show-versions cups
cups/oneiric uptodate 1.5.0-8ubuntu6

syslog fun

Jan 3 18:29:46 bart-desktop udev-configure-printer: add /devices/pci0000:00/0000:00:1d.1/usb7/7-1/7-1:1.0
Jan 3 18:29:46 bart-desktop udev-configure-printer: device devpath is /devices/pci0000:00/0000:00:1d.1/usb7/7-1
Jan 3 18:29:46 bart-desktop udev-configure-printer: Device already handled
Jan 3 18:29:46 bart-desktop udev-configure-printer: add /devices/pnp0/00:06/printer/lp0
Jan 3 18:29:46 bart-desktop udev-configure-printer: Failed to get parent
Jan 3 18:29:46 bart-desktop udev-configure-printer: add /module/lp
Jan 3 18:29:46 bart-desktop udev-configure-printer: Failed to get parent
Jan 3 18:29:46 bart-desktop udev-configure-printer: add /devices/pci0000:00/0000:00:1d.1/usb7/7-1/7-1:1.0
Jan 3 18:29:46 bart-desktop udev-configure-printer: device devpath is /devices/pci0000:00/0000:00:1d.1/usb7/7-1
Jan 3 18:29:46 bart-desktop udev-configure-printer: Device already handled

my printer will print the first job fine, then, I have to unplug the printer and restart cups to get the 2nd job to print.

Antonio Sánchez (ingantosan) wrote :

I have asked for help at kubuntuforums: http://kubuntuforums.net/forums/index.php?topic=3119980.0

Hi Antonio

Your symptoms seem to be very similar to what is reported in https://bugs.launchpad.net/ubuntu/+source/cups/+bug/890499

This bug however has not seen much action.

Martin

Antonio, your problem is that under Kubuntu the printer's firmware file does not get automatically downloaded onto your computer. This will be most probably fixed in Ubuntu Precise (12.04). See also bug 913730. For the time being run

sudo hp-plugin

in a terminal window and follow the instructions on the screen to get HP's driver plug-in (which contains the firmware files) installed on your system.

If the command above does not work, run

sudo apt-get install hplip-gui

and then run the command above again.

Bart, your problem is not the problem initially reported here. Please report a new bug, and there tell which printer you are using and how it is connected. Please also follow the instructions in the sections "USB printer" (only if your printer is connected via USB or via a USB-Parallel adapter), "CUPS error_log", and "Capturing print job data" on https://wiki.ubuntu.com/DebuggingPrintingProblems. Attach the results, one by one, without compressing or packaging them, to your new bug report. Thanks.

Antonio Sánchez (ingantosan) wrote :

Till, that solves my problem, thank you very much!

Thank you all for your support.

To everyone who has still problems:

Can you try the package

cups - 1.5.0-8ubuntu7~ppa1

from my PPA

https://launchpad.net/~till-kamppeter/+archive/ppa

Its USB backend is based on the new libusb 1.0.x. Perhaps this helps on your problem.

The backend can sttill have bugs, so tell us exactly what the behavior is after having installed the new CUPS package.

For everyone whose printer does not get detected at all, please update from my PPA, to CUPS 1.5.0-8ubuntu7~ppa2.

Lighton Phiri (lighton-phiri) wrote :

I just installed the proposed package (cups) and my new version is '1.5.0-8ubuntu7'; however, I still cannot print via a network printer.
/var/log/cups/error_log has the following entries

E [05/Mar/2012:13:18:22 +0200] [Job 438] Unable to get printer status (Unauthorized)!
E [05/Mar/2012:13:18:32 +0200] [Job 438] Unable to get printer status (Unknown)!
E [05/Mar/2012:13:18:42 +0200] [Job 438] Unable to get printer status (Unknown)!
E [05/Mar/2012:13:18:52 +0200] [Job 438] Unable to get printer status (Unknown)!

I also tried using smb, but no luck there either. Could I have missed out something?

Lighton, your problem is most probably not the one described here. Please report a new bug and follow the instructions on https://wiki.ubuntu.com/DebuggingPrintingProblems.

Carl Nobile (cnobile1) wrote :

This bug seems to have risen it's ugly little head again in 12.04. I'm getting the exact same problem I was getting in 11.10.

Carl, on Precise your problem is either bug 945028 or bug 973270. An update for Precise (SRU) is on its way, please follow the instructions in that bug reports to test it and give feedback.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions